## org.eclipse.jetty.plus.annotation
Class PreDestroyCallback

    java.lang.Object
      org.eclipse.jetty.plus.annotation.LifeCycleCallback
          org.eclipse.jetty.plus.annotation.PreDestroyCallback

    public class PreDestroyCallback

extends LifeCycleCallback

PreDestroyCallback

Field Summary

Fields inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback
`__EMPTY_ARGS`

Constructor Summary
`PreDestroyCallback()`

Method Summary
`void` `callback(java.lang.Object instance)`
`boolean` `equals(java.lang.Object o)`
`void` `validate(java.lang.Class clazz, java.lang.reflect.Method method)` Commons Annotations Specification section 2.6: - no params to method - returns void - no checked exceptions - not static

Methods inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback
`findMethod, getMethodName, getTarget, getTargetClass, getTargetClassName, setTarget, setTarget`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreDestroyCallback

    public PreDestroyCallback()

Method Detail

### validate

    public void validate(java.lang.Class clazz,
                         java.lang.reflect.Method method)

  Commons Annotations Specification section 2.6: - no params to method - returns void - no checked exceptions - not static

  Specified by:
    `validate` in class `LifeCycleCallback`
  See Also:
    `LifeCycleCallback.validate(java.lang.Class, java.lang.reflect.Method)`

### callback

    public void callback(java.lang.Object instance)

  Overrides:
    `callback` in class `LifeCycleCallback`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `LifeCycleCallback`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.